Subject: Re: bug#19201: 24.4.51; Faulty interaction between overlays with display-related properties in TTY

From: Dmitry Gutov <[email-masked]>
Date: Fri, 28 Nov 2014 02:02:54 +0200

On 11/27/2014 06:41 PM, Eli Zaretskii wrote:

> For the record, this has nothing to do with TTY vs GUI frames.  You
> can have the same problem on a GUI frame if you use a bogus symbol for
> the fringe bitmap, like 'foobar instead of 'question-mark.

Makes sense.

> Evidently, the Founding Fathers never meant for us to use display
> properties on after-strings that specify display on the fringe.  Emacs
> 22 and 23 infloop if you try your recipe on a TTY there.  Emacs 24.1
> is the first release that doesn't, and it already has this bug.

The given example uses before-string, but I guess you mean both.

That's odd, though, because when used with overlays, before- and 
after-strings are the most flexible for this and similar use cases.

> Fixed in 6b765b8 on the emacs-24 branch.

Works fine. Thanks!